Page MenuHomePhabricator

In MediaWiki theme, button height should be controlled only by 'padding' and label 'line-height'
Closed, ResolvedPublic

Description

In MediaWiki theme, button height should be controlled only by 'padding' and label 'line-height'. This will greatly decreate the wtf/sec ratio of the CSS, make it easier to match height of other stuff (like MediaWiki UI things) and possibly let us have multi-line buttons (which we disallowed per T93552). The icon and indicator should both have position: absolute.

This means that we would have to always have a label text, otherwise we would have the same issue as T93290, but for buttons with only icons/indicators, too. T94749: Provide labels for label-less buttons would be one solution to this; if we don't end up doing that, or in the meantime, blahblah .oo-ui-labelElement-label:empty:before { content: '\a0'; } or something like this will probably also work.

Per a chat with @Nirzar today.

Related Objects

Event Timeline

matmarex created this task.Apr 1 2015, 8:26 PM
matmarex assigned this task to Nirzar.
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: OOUI.
matmarex added subscribers: matmarex, Nirzar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 8:26 PM

labelElement-label:empty:before { content: '\a0'; }
would work together with f.e. position: absolute; where we also don't run into side padding issues and line-height and padding would both get applied.
But it's a dirty hack that I would wanna see disappear soon again by preferably implementing the a11y label solution.

Change 216864 had a related patch set uploaded (by Jforrester):
MediaWiki theme: Alter buttons' padding and position icons absolutely

https://gerrit.wikimedia.org/r/216864

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Jul 30 2015, 12:48 AM

Before:

After:

Change 216864 merged by jenkins-bot:
MediaWiki theme: Alter buttons' padding and position icons absolutely

https://gerrit.wikimedia.org/r/216864

Jdforrester-WMF closed this task as Resolved.Sep 18 2015, 3:22 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.